# Update external ID This endpoint updates the External ID value of a store. The External ID value is an optional field. **PUT** `/proximity-integration/stores/{StoreID}/external_id` ## Request parameters ### Path - `StoreID` (string, required) ID of the store. - `external_id` (string, optional) Value of the external ID which will be linked to the store. ## Response parameters - `id` (number, optional) ID that identifies the store. - `user_id` (number, optional) ID that identifies the user who owns the store. - `description` (string, optional) Name of the store. - `business_hours` (object, optional) List of store opening hours. Each attribute of the object will be represented by a day of the week. - `business_hours.monday` (array, optional) List of store opening hours on that weekday. - `business_hours.monday[].open` (string, optional) Store opening time on that weekday. - `business_hours.monday[].close` (string, optional) Store closing time on that weekday. - `business_hours.tuesday` (array, optional) List of store opening hours on that weekday. - `business_hours.tuesday[].open` (string, optional) Store opening time on that weekday. - `business_hours.tuesday[].close` (string, optional) Store closing time on that weekday. - `business_hours.wendsday` (array, optional) List of store opening hours on that weekday. - `business_hours.wendsday[].open` (string, optional) Store opening time on that weekday. - `business_hours.wendsday[].close` (string, optional) Store closing time on that weekday. - `business_hours.thursday` (array, optional) List of store opening hours on that weekday. - `business_hours.thursday[].open` (string, optional) Store opening time on that weekday. - `business_hours.thursday[].close` (string, optional) Store closing time on that weekday. - `business_hours.friday` (array, optional) List of store opening hours on that weekday. - `business_hours.friday[].open` (string, optional) Store opening time on that weekday. - `business_hours.friday[].close` (string, optional) Store closing time on that weekday. - `location` (object, optional) Store location information. This includes address, latitude, longitude, and additional location references. - `location.address_line` (string, optional) Store address information. - `location.reference` (string, optional) Store location add-on. - `location.latitude` (number, optional) Latitude of the store. - `location.longitude` (number, optional) Longitude of the store. - `external_id` (string, optional) This optional property indicates the custom external ID of the store. This value can be changed or updated using the endpoint that updates External IDs. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | 400 | Missing_Parameter - Invalid store id | | 401 | 401 | Unauthorized - Access Token is invalid | | 403 | 403 | Forbidden - User cannot access this resource | | 424 | 424 | Not Found - Failed to get some information of the store | | 500 | 500 | Internal server error | ## Request example ### cURL ```bash curl -X PUT \ 'https://api.mercadopago.com/proximity-integration/stores/{StoreID}/external_id' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' \ -d '{ "external_id": "9320001PC21" }' ``` ## Response example ```json { "id": 41517088, "user_id": 813887163, "description": "Doc's grocery store", "business_hours": { "monday": [ { "open": "8:00", "close": "15:00" } ], "tuesday": [ { "open": "8:00", "close": "15:00" } ], "wendsday": [ { "open": "8:00", "close": "15:00" } ], "thursday": [ { "open": "8:00", "close": "15:00" } ], "friday": [ { "open": "8:00", "close": "15:00" } ] }, "location": { "address_line": "Viaduto Arapuã - Saude, São Paulo - SP, 04307-070, Brasil", "reference": "Next to a bakery", "latitude": -23.630159633405057, "longitude": -46.64532809999999 }, "external_id": "9320001PC21" } ```